com.pixelmed.dicom

## Class TransferSyntaxFromName

- java.lang.Object
- - com.pixelmed.dicom.TransferSyntaxFromName

-     public class TransferSyntaxFromName
      extends java.lang.Object

  A class to lookup the DICOM Transfer Syntax UID from a string name.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.util.Map` | `map`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getUID(java.lang.String name)` Get the Transfer Syntax UID from the name.
    `static void` | `main(java.lang.String[] arg)` Test.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### map

          protected static java.util.Map map

  - ### Method Detail

    - #### getUID

          public static java.lang.String getUID(java.lang.String name)

      Get the Transfer Syntax UID from the name.

      Parameters:
        `name` - a string name of the transfer syntax
      Returns:
        the UID if found, else the supplied argument if of UID form, else null

    - #### main

          public static void main(java.lang.String[] arg)

      Test.

      Parameters:
        `arg` - none